package http

import httpserver "git.gocasts.ir/ebhomengo/niki/delivery/http_server"

type Server struct {
	HTTPServer *httpserver.Server
	Handler    *Handler
}

func NewServer(httpserver *httpserver.Server) *Server {
	return &Server{
		HTTPServer: httpserver,
		Handler:    NewHandler(),
	}
}

func (s *Server) Serve() {
	s.RegisterRoutes()
}

func (s *Server) Stop() {}

func (s *Server) RegisterRoutes() {
	s.HTTPServer.Router.GET("", s.healthCheck)
}
